#ifndef _CONFIG_H_
#define _CONFIG_H_

#include <Arduino.h>
#include <EEPROM.h>

typedef struct
{
  uint32_t DistancePerLube_Default = 0;
  uint32_t DistancePerLube_Rain = 0;
  uint32_t tankCapacity_ml = 320;
  uint32_t amountPerDose_µl = 0;
  uint32_t tankRemain_µl = 0;
  uint8_t TankRemindAtPercentage = 30;
  uint8_t PulsePerRevolution = 1;
  uint32_t TireWidth_mm = 150;
  uint32_t TireWidthHeight_Ratio = 70;
  uint32_t RimDiameter_Inch = 18;
  uint32_t DistancePerRevolution_mm = 2000;
  uint8_t BleedingPulses = 25;
  uint32_t checksum = 0;
} LubeConfig_t;

void StoreConfig_EEPROM();
void GetConfig_EEPROM();
uint32_t Checksum_EEPROM(uint8_t const *data, size_t len);

extern LubeConfig_t LubeConfig;

#endif // _CONFIG_H_